'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactVirtualized = require('react-virtualized');

var _ListGrid = require('./ListGrid.scss');

var _ListGrid2 = _interopRequireDefault(_ListGrid);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function NoRow() {
	return _react2.default.createElement(
		'div',
		{ className: 'tc-list-no-rows' },
		'No rows'
	);
}

/**
 * List renderer that accepts a custom row renderer.
 * The row renderer will create a row element for each collection item
 */
function ListGrid(props) {
	var children = props.children,
	    collection = props.collection,
	    id = props.id,
	    height = props.height,
	    rowHeight = props.rowHeight,
	    rowRenderer = props.rowRenderer,
	    width = props.width;

	return _react2.default.createElement(
		_reactVirtualized.List,
		{
			className: _ListGrid2.default['tc-list-list'],
			collection: collection,
			id: id,
			height: height,
			overscanRowCount: 10,
			noRowsRenderer: NoRow,
			rowCount: collection.length,
			rowHeight: rowHeight,
			rowRenderer: rowRenderer,
			width: width
		},
		children
	);
}
ListGrid.displayName = 'VirtualizedList(ListGrid)';
ListGrid.propTypes = {
	children: _react.PropTypes.arrayOf(_react.PropTypes.element),
	collection: _react.PropTypes.arrayOf(_react.PropTypes.object),
	height: _react.PropTypes.number,
	id: _react.PropTypes.string,
	rowHeight: _react.PropTypes.number,
	rowRenderer: _react.PropTypes.func,
	width: _react.PropTypes.number
};
ListGrid.defaultProps = {
	rowHeight: 135
};

exports.default = ListGrid;