'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _gridrow = require('../utils/gridrow');

var _RowLarge = require('./RowLarge.scss');

var _RowLarge2 = _interopRequireDefault(_RowLarge);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Row renderer that displays a Large item
 */
function RowLarge(_ref) {
	var index = _ref.index,
	    key = _ref.key,
	    parent = _ref.parent,
	    style = _ref.style;

	var _extractTitle = (0, _gridrow.extractTitle)(parent),
	    titleField = _extractTitle.titleField,
	    otherFields = _extractTitle.otherFields;

	var parentId = (0, _gridrow.getId)(parent);
	var id = parentId && parentId + '-' + index;
	var titleCell = (0, _gridrow.renderCell)(index, parent, titleField);
	var otherCellsListItems = otherFields.map(function (field) {
		var cellContent = (0, _gridrow.renderCell)(index, parent, field);
		var tooltip = typeof cellContent === 'string' ? cellContent : null;
		var label = (0, _gridrow.getLabel)(field);
		return _react2.default.createElement(
			'li',
			null,
			label && _react2.default.createElement(
				'span',
				{ className: _RowLarge2.default['field-label'] },
				label,
				': '
			),
			_react2.default.createElement(
				'span',
				{ className: _RowLarge2.default['field-value'], title: tooltip },
				cellContent
			)
		);
	});

	return _react2.default.createElement(
		'div',
		{
			className: _RowLarge2.default['tc-list-large'],
			key: key,
			style: style
		},
		_react2.default.createElement(
			'div',
			{
				className: (0, _classnames2.default)('tc-list-large-row', _RowLarge2.default['inner-box']),
				id: id
			},
			titleCell,
			_react2.default.createElement(
				'ul',
				{ className: _RowLarge2.default.content },
				otherCellsListItems
			)
		)
	);
}

RowLarge.displayName = 'VirtualizedList(RowLarge)';
RowLarge.propTypes = {
	index: _react.PropTypes.number,
	key: _react.PropTypes.string,
	parent: _react.PropTypes.arrayOf(_react.PropTypes.element),
	style: _react.PropTypes.object };

exports.default = RowLarge;